File List
Here is a list of all documented files with brief descriptions:

fairmq |
devices |
FairMQBenchmarkSampler.h |
FairMQMerger.h |
FairMQMultiplier.h |
FairMQProxy.h |
FairMQSink.h |
FairMQSplitter.h |
nanomsg |
FairMQMessageNN.h |
FairMQPollerNN.h |
FairMQSocketNN.h |
FairMQTransportFactoryNN.h |
FairMQUnmanagedRegionNN.h |
ofi |
Context.h |
Message.h |
Poller.h |
Socket.h |
TransportFactory.h |
options |
ProgOptionTest |
lib |
FairMQParserExample.h |
FairMQParser.h |
FairMQProgOptions.h |
FairMQSuboptParser.cxx | Parser implementation for key-value subopt format
FairMQSuboptParser.h | Parser implementation for key-value subopt format
FairProgOptions.h |
FairProgOptionsHelper.h |
plugins |
DDS |
DDS.h |
Builtin.h |
Control.h |
shmem |
prototype |
FairMQShmPrototypeSampler.h |
FairMQShmPrototypeSink.h |
ShmChunk.h |
Common.h |
FairMQMessageSHM.h |
FairMQPollerSHM.h |
FairMQSocketSHM.h |
FairMQTransportFactorySHM.h |
FairMQUnmanagedRegionSHM.h |
Manager.h |
Monitor.h |
Region.h |
tools |
CppSTL.h |
Network.h |
Process.h |
Strings.h |
Unique.h |
Version.h |
zeromq |
FairMQMessageZMQ.h |
FairMQPollerZMQ.h |
FairMQSocketZMQ.h |
FairMQTransportFactoryZMQ.h |
FairMQUnmanagedRegionZMQ.h |
DeviceRunner.h |
EventManager.h |
FairMQChannel.h |
FairMQDevice.h |
FairMQLogger.h |
FairMQMessage.h |
FairMQParts.h |
FairMQPoller.h |
FairMQSocket.h |
FairMQStateMachine.h |
FairMQTransportFactory.h |
FairMQUnmanagedRegion.h |
Plugin.h |
PluginManager.h |
PluginServices.h |
runFairMQDevice.h |
StateMachine.h |
Tools.h |
Transports.h |